Bug 1284788 - ekiga segfaults when ringing starts
ekiga segfaults when ringing starts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ekiga (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 03:58 EST by Adam Pribyl
Modified: 2016-07-19 15:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:59:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Pribyl 2015-11-24 03:58:48 EST
Description of problem:
$ ekiga

(ekiga:3042): libnotify-WARNING **: Failed to connect to proxy

(ekiga:3042): GLib-CRITICAL **: Source ID 666 was not found when attempting to remove it

(ekiga:3042): GLib-CRITICAL **: Source ID 1579 was not found when attempting to remove it

(ekiga:3042): GLib-CRITICAL **: Source ID 1901 was not found when attempting to remove it

(ekiga:3042): GLib-CRITICAL **: Source ID 3255 was not found when attempting to remove it

(ekiga:3042): GLib-CRITICAL **: Source ID 4532 was not found when attempting to remove it
Segmentation fault (core dumped)


Version-Release number of selected component (if applicable):
ekiga-4.0.1-17.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start ekiga
2. Configure SIP account
3. Try to dial

Actual results:
Segmentation fault (core dumped)

Expected results:
Works

Additional info:
Same happens to linphone. Can not use VOIP.
I am not sure where the segfault comes from.
Strace (not sure if this is of any value):
...
recvmsg(5, 0x7fffd8d96d50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(5, 0x7fffd8d96d60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=23, events=POLLIN}], 5, 82) = 0 (Timeout)
recvmsg(5, 0x7fffd8d96d60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=23, events=POLLIN}], 5, 0) = 0 (Timeout)
poll([{fd=5, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=5, revents=POLLOUT}])
writev(5, [{"5\30\4\0p\5`\4\376\4`\4\30\0\36\0\212\4\6\0q\5`\4p\5`\4*\0\0\0"..., 1576}, {NULL, 0}, {"", 0}], 3) = 1576
recvmsg(5, 0x7fffd8d96d50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(5, 0x7fffd8d96d60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=23, events=POLLIN}], 5, 82) = 0 (Timeout)
recvmsg(5, 0x7fffd8d96d60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=23, events=POLLIN}], 5, 0) = 0 (Timeout)
poll([{fd=5, events=POLLIN|POLLOUT}], 1, 4294967295) = 1 ([{fd=5, revents=POLLOUT}])
writev(5, [{"5\30\4\0r\5`\4\376\4`\4g\0i\1\212\4\6\0s\5`\4r\5`\4*\0\0\0"..., 1904}, {NULL, 0}, {"", 0}], 3) = 1904
recvmsg(5, 0x7fffd8d96d50, 0)           = -1 EAGAIN (Resource temporarily unavailable)
recvmsg(5, 0x7fffd8d96d60, 0)           = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN}, {fd=4, events=POLLIN}, {fd=5, events=POLLIN}, {fd=6, events=POLLIN}, {fd=23, events=POLLIN}], 5, 82 <unfinished ...>
+++ killed by SIGSEGV (core dumped) +++
Segmentation fault (core dumped)
Comment 1 Adam Pribyl 2015-11-24 16:17:41 EST
This probably has something to do with pulseaudio. I found that after reboot it works for some time withou segfaults

pulseaudio runs like:
 7533 ?        S<l    0:09 /usr/bin/pulseaudio --start --log-target=syslog

If I try to kill it, it looks like:
17303 ?        Zs     0:00 [pulseaudio] <defunct>
17304 ?        Z      0:00 [pulseaudio] <defunct>
17373 ?        Zs     0:00 [pulseaudio] <defunct>
17374 ?        Sl     0:00 /usr/bin/pulseaudio --start --log-target=syslog
and the app segfaults...
Comment 2 Peter Robinson 2015-12-28 23:09:49 EST
Have you selected pulseaudio as the source for ringing?

Can you provide the abrt crash, it'll provide all the useful bits
Comment 3 Adam Pribyl 2015-12-29 17:02:32 EST
I did try to select various sources without efect. This has definitely something to do with pulseaudio and among others that I am not using almighty Gnome but IceWM. If I kill -9 pulseaudio then ekiga works for some time. For unknown reason it starts to segfault after some time.

I'd like to provide ABRT report, but I do not know how to trigger it. I tried to install abrt packages but nothing happened on segfault. Is there another way to generate the abrt report?
Comment 4 Fedora End Of Life 2016-07-19 15:59:40 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.